Bug 1592772 - [DOCS] clarify when uninstall playbook needs to be run
Summary: [DOCS] clarify when uninstall playbook needs to be run
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.9.z
Assignee: Kathryn Alexander
QA Contact: sheng.lao
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-19 09:37 UTC by daniel
Modified: 2018-07-31 20:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-27 18:09:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1569553 unspecified CLOSED OCP Uninstall Playbook Removes docker Storage 2020-10-14 00:28:05 UTC

Internal Links: 1569553

Description daniel 2018-06-19 09:37:46 UTC
Document URL: 

In https://docs.openshift.com/container-platform/3.9/install_config/install/advanced_install.html#installer-known-issues 

we state:

~~~~


On failure of the Ansible installer, you must start from a clean operating system installation. If you are using virtual machines, start from a fresh image. If you are using bare metal machines, see Uninstalling OpenShift Container Platform for instructions.

~~~~

while we state here:
https://docs.openshift.com/container-platform/3.9/install_config/install/advanced_install.html#running-the-advanced-installation-rpm

~~~~
Running Individual Component Playbooks

The main installation playbook /usr/share/ansible/openshift-ansible/playbooks/deploy_cluster.yml runs a set of individual component playbooks in a specific order, and the installer reports back at the end what phases you have gone through. If the installation fails during a phase, you are notified on the screen along with the errors from the Ansible run.

~~~~

which is actually contradicting and hard to understand exactly when rerunning a playbook is appropriate and when one needs to uninstall first after intsall fails

Section Number and Name: 

Describe the issue: 
Documentation ambiguous about when to run uninstall playbook or a subset of the playbooks to make the install successful   

Suggestions for improvement: 
clearly state when rerunning a individual component playbook is appropriate vs when uninstall playbook is needed first 

Additional information:

Comment 5 Kathryn Alexander 2018-07-24 20:43:32 UTC
Scott and I had a good discussion about this issue today. I've opened a PR here: https://github.com/openshift/openshift-docs/pull/11044

It's filed against 3.9, but parts of it are also valid in 3.7. (I'll be sure to not introduce unnecessary changes or incorrect file names.)

@Johnny, will you PTAL or assign a different reviewer?

Comment 6 sheng.lao 2018-07-25 07:34:40 UTC
Add two comments in the PR-11044.

Comment 7 sheng.lao 2018-07-26 01:07:21 UTC
I reveiw the PR-11044 is good.

Comment 8 Kathryn Alexander 2018-07-26 13:11:54 UTC
Thank you Sheng Lao! I'll merge it after peer review. :)

Comment 9 openshift-github-bot 2018-07-26 15:26:03 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/d2d0b5f57f1111fb44bf03df16234addfdf74dd0
bug 1592772 clarifying when to uninstall instead of redeploy

https://github.com/openshift/openshift-docs/commit/1c0880c65229c7d4fc2e81d81c811dcc053a2a69
Merge pull request #11044 from kalexand-rh/BZ1592772

bug 1592772 clarifying when to uninstall instead of redeploy


Note You need to log in before you can comment on or make changes to this bug.